@keyframes OpenNav {
    0% {
        left:-330px;
    }
    50% {
        left:20px;
    }
    100%{
        left:0px;
    }
}
.edit-section-design{
    background-color: #212933;
    background-image:url("../../images/design/edit.svg");
    background-repeat: no-repeat;
    background-position: center;
    width: 60px;
    height: 60px;
    -webkit-border-radius: 50px;
    -moz-border-radius: 50px;
    border-radius: 50px;
    cursor: pointer;
    position: absolute;
    bottom: 50px;
    left: 50px;
    z-index: 999;
}
.edit-section{
    background-color: #212933;
    background-image:url("../../images/design/edit.svg");
    background-repeat: no-repeat;
    background-position: center;
    width: 60px;
    height: 60px;
    -webkit-border-radius: 50px;
    -moz-border-radius: 50px;
    border-radius: 50px;
    cursor: pointer;
    position: absolute;
    bottom: 50px;
    left: 150px;
    z-index: 999;
}
body.design-open{
    padding-left: 330px;
    transition: all 0.5s ease;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
}

.aside-design{
    background: #212933;
    position: fixed;
    width: 330px;
    height: 100vh;
    top: 0;
    left:-330px;
    transition: all 0.5s ease;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    box-sizing: border-box;
    padding-bottom: 100px;
    z-index: 99999;

}
body.design-open .aside-design{
    left:0px;
    animation-duration: 1s;
    animation-name: OpenNav;
    transition: all 0.5s ease;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
}

.aside-design .content-design{
    overflow: scroll;
    height: calc(100vh - 130px);
    position: relative;
    z-index: 9999;
    direction: rtl;
}
.aside-design .close-design{
    background-image:url("../../images/design/close-arrow.svg");
    background-color: #fff;
    background-repeat: no-repeat;
    background-position: center;
    width: 32px;
    height: 32px;
    position: fixed;
    left: -32px;
    top: 0;
    bottom: 0;
    margin: auto;
    z-index: 9998;
    -webkit-border-radius: 7px;
    -moz-border-radius: 7px;
    border-radius: 7px;
    transition: all 0.5s ease;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    cursor: pointer;
}

.aside-design.design-aside-open .close-design{
    left: 313px;
    transition: all 0.5s ease;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
}
.aside-design .design-top{
    background: #EAB01C;
    height: 70px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 10px;
    box-sizing: border-box;
    z-index: 9999;
    position: relative;
}

.aside-design .design-top .title-desing-top{
    display: flex;
    align-items: center;
}
.aside-design .design-top .title-desing-top .text-design{
    font-size: 18px;
    line-height: 18px;
    text-transform: uppercase;
}
.aside-design .design-top .title-desing-top .icon-design{
    background-color: #212933;
    background-image:url("../../images/design/edit.svg");
    background-repeat: no-repeat;
    background-position: center;
    background-size: 50% auto;
    width: 40px;
    height: 40px;
    -webkit-border-radius: 50px;
    -moz-border-radius: 50px;
    border-radius: 50px;
    margin-right: 10px;
}

.aside-design .design-top .shop-design{
    background-color: #fff;
    background-image:url("../../images/design/shop.svg");
    background-repeat: no-repeat;
    background-position: center;
    width: 30px;
    height: 30px;
    -webkit-border-radius: 50px;
    -moz-border-radius: 50px;
    border-radius: 50px;
    margin-left: 10px;
    margin-bottom: 0;
}

.aside-design .design-box-style{
    color:  #FFF;
    text-align: center;
    font-family:  var(--font);
    font-size: 15px;
    font-weight: 800;
    line-height: 40px;
    position: relative;
    margin-bottom: 15px;
    box-sizing: border-box;
}
.aside-design .overlaybox .design-box-style{
    text-align: left;
    width: 258px;
}
.aside-design .design-box-style:before{
    content: "";
    background-repeat: no-repeat;
    background-size: contain;
    width: 258px;
    height: 129px;
    display: block;
    margin: 0 auto;
    transition: all 0.5s ease;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    cursor: pointer;
}
.aside-design .design-box-style.borderdashed:before{
    border: 1px dashed #6B7B8F;
}
.aside-design .design-box-style.borderfull:before{
    border: 1px solid #6B7B8F;
}
.aside-design input[type=radio]:checked + .design-box-style:before,
.aside-design .design-box-style:hover:before{
    border: 1px solid #eab01c;
    transition: all 0.5s ease;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
}
.aside-design .half-size .design-box-style:before{
    content: "";
    background-repeat: no-repeat;
    background-size: cover;
    width: 121px;
    height: 60px;
    display: block;
    margin: 0 auto;
    border: 1px full #6B7B8F;
    transition: all 0.5s ease;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    cursor: pointer;
}
.aside-design .half-size input[type=radio]:checked + .design-box-style:before,
.aside-design .half-size .design-box-style:hover:before{
    border: 1px solid #eab01c;
    transition: all 0.5s ease;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
}
.aside-design .half-size .design-box-style.size-sizethreethird:after{
    content: "";
    position: absolute;
    height: 30%;
    width: 100%;
    bottom: 0;
    background: #343E4A;
    width: 121px;
    margin: 0 auto;
    left: 1px;
    right: 0px;
    bottom: 1px;
    border-top: 1px solid #6B7B8F;
}

.aside-design .overlaybox {
    background: #212933;
    position: fixed;
    width: 330px;
    height: calc(100vh - 139px);
    top: 70px;
    left:0px;
    transition: all 0.5s ease;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    box-sizing: border-box;
    padding: 10px 20px 100px;
    display: flex;
    align-items: center;
    flex-direction: column;

}
.aside-design .overlaybox.hide{
    left:-330px;
    transition: all 0.5s ease;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
}
.aside-design .overlaybox.open{
    left:0px;
    animation-duration: 1s;
    animation-name:  OpenNav;
    overflow: scroll;
}
.aside-design .overlaybox .close-module{
    background-image:url("../../images/design/close-arrow.svg");
    background-color: #fff;
    background-repeat: no-repeat;
    background-position: center;
    width: 32px;
    height: 32px;
    position: fixed;
    left: 313px;
    top: 0;
    bottom: 0;
    margin: auto;
    z-index: 9999;
    -webkit-border-radius: 7px;
    -moz-border-radius: 7px;
    border-radius: 7px;
    transition: all 0.5s ease;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    cursor: pointer;
}
.aside-design .overlaybox.hide .close-module{
    left: -32px;
    transition: all 0.5s ease;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
}
.aside-design .overlaybox{

}
.aside-design .designform{
    padding: 20px;
    direction: ltr;
}

.aside-design .title-top-design{
    color: #fff;
    text-align: left;
    font-family:  var(--font);
    font-size: 19px;
    font-weight: 800;
    line-height: 19px;
    width: 258px;
    margin: 0 auto 15px;
}

.aside-design .header-size-change{
    display: flex;
    justify-content: space-between;
    width: 258px;
}
.aside-design .header-slider-style{
    display: flex;
    position: relative;
}
.aside-design .header-size-change.half-size .design-box-style,
.aside-design .header-size-change .header-slider-style{
    width: 121px;
}
.aside-design .pick-change .title-top-design{
    margin-bottom: 30px;
    font-size: 17px;
}
.aside-design .colors-hide{
    display: none;
}
.aside-design .header-slider-style .colors-show{
    opacity: 0;
    display: flex;
    position: absolute;
    z-index: 1;
    right: 10px;
    top: 10px;
    transition: all 0.5s ease;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
}
.aside-design .header-slider-style:hover .colors-show{
    opacity: 1;
    transition: all 0.5s ease;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
}
.aside-design .colors-show .color-pick-design{
    width: 18px;
    height: 18px;
    border: 0.2px solid #fff;
    padding: 0;
    margin:5px;
    -webkit-border-radius: 50px;
    -moz-border-radius: 50px;
    border-radius: 50px;
    transition: all 0.5s ease;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    cursor: pointer;
}
.aside-design .colors-show .color-pick-design.checked {
    padding: 5px;
    margin: 0px;
    transition: all 0.5s ease;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
}
.aside-design .colors-show .color-pick-design.color-colorwhite {
    background: #fff;
}
.aside-design .colors-show .color-pick-design.color-colordark  {
    background: #212933;
}
.aside-design .colors-show .color-pick-design.color-colorprimary {
    background: var(--primary);
}
.aside-design .colors-show .color-pick-design.color-colorsecondary {
    background:  var(--secondary);
}
.aside-design .submit-box-design{
    box-shadow: 0px -5px 10px 0px rgba(0, 0, 0, 0.39);
    background: #212933;
    padding: 17px 20px;
    position: absolute;
    bottom:0;
    width: 330px;
    left: 0;
    box-sizing: border-box;
    display: flex;
    justify-content: center;
    transition: all 0.5s ease;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
}
.aside-design .submit-box-design.hide{
    bottom:-200px;
    transition: all 0.5s ease;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
}
.aside-design .submit-box-design .design-submit-button{
    background-color: #EAB01C;
    border: 2px solid #EAB01C;
    border: none;
    width: 211px;
    height: 52px;
    font-family:  var(--font);
    color: #212933;
    font-size: 19px;
    font-weight: 600;
    -webkit-border-radius: 50px;
    -moz-border-radius: 50px;
    border-radius: 50px;
    transition: all 0.5s ease;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    cursor: pointer;
}
.aside-design .submit-box-design .design-submit-button:hover{
    background-color: #fff;
    color: #EAB01C;
    transition: all 0.5s ease;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
}



.aside-design .colors-header-text{
    display: flex;
    position: relative;
    z-index: 1;
    right: 0;
    top: 0;
    transition: all 0.5s ease;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    width: 258px;
    margin-bottom: 40px;
    justify-content: space-between;
}
.aside-design .colors-header-text .colors-title{
    font-size: 16.87px;
    font-weight: 800;
    color: #fff;

}
.aside-design .colors-header-text .colors-text{
    display: flex;
}
.aside-design .colors-header-text .colors-text input{
    display: none;
}
.aside-design .colors-header-text .color-pick-text-design{
    width: 18px;
    height: 18px;
    border: 0.2px solid #fff;
    padding: 0;
    margin:5px;
    -webkit-border-radius: 50px;
    -moz-border-radius: 50px;
    border-radius: 50px;
    transition: all 0.5s ease;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
    cursor: pointer;
}
.aside-design .colors-header-text input:checked + .color-pick-text-design {
    padding: 5px;
    margin: 0px;
    transition: all 0.5s ease;
    -webkit-transition: all 0.5s ease;
    -moz-transition: all 0.5s ease;
    -o-transition: all 0.5s ease;
}
.aside-design .colors-header-text .color-pick-text-design.textcolor-textcolorwhite {
    background: #fff;
}
.aside-design .colors-header-text .color-pick-text-design.textcolor-textcolordark  {
    background: #212933;
}
.aside-design .colors-header-text .color-pick-text-design.textcolor-textcolorprimary {
    background: var(--primary);
}
.aside-design .colors-header-text .color-pick-text-design.textcolor-textcolorsecondary {
    background:  var(--secondary);
}